require 'rake/testtask'
require 'pathname'

def setup_gpghome
  gpghome = File.join File.dirname(File.dirname(__FILE__)), 'test', 'gpghome'
  ENV['GNUPGHOME'] = gpghome
  ENV['GPG_AGENT_INFO'] = '' # disable gpg agent
end

task :default => ["mail_gpg:tests:setup", :test]

namespace :mail_gpg do
  namespace :tests do
    task :setup do
      setup_gpghome
    end
  end
end

Rake::TestTask.new(:test) do |test|
  test.libs << 'test'
  test.test_files = FileList['test/**/*_test.rb']
  test.verbose = true
end
